%define kdeprefix /usr
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename kdeadmin
Name: %{kdename}
Summary: K Desktop Environment - System Administration Tools
Version: %{version}
Release: %{kderelease}
Serial: 2
#Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Patch0: kdeadmin-1.1-redhat.patch
Group: Applications/System
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
System Administration tools for the K Desktop Environment.

Included with this package are:
kdat (tape backup); ksysv (sysV init editor); kuser (user administration tool)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kdeadmin-%{version}
%patch0 -p1 -b .redhat

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-pam --with-private-groups
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog 
* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes   

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane, /opt/kde --> /usr
